STKLOS-COMPILE(1)

NAME
stklos-compile - Compiles a STklos file to byte-codes

DESCRIPTION
The stklos-compile compiles a STklos file to byte-codes. For now, this command is very poor, it should be extended in the future.

OPTIONS
Here are the options available in the version 1.70 of stklos.

--case-sensitive, -c
    Symbols are case sensitive

--case-insensitive, -i
    Symbols are case insensitive

--colon-position, -p <pos>
    Tells the reader the allowed position for colon in symbols to interpret them as keywords. Allowed values are none, before, after, both.

--output=<file>, -o <file>
    Output the compiled code in the given file instead of a.out.

--C-code, -C
    Produce the byte-code in a C file instead of a ".ostk" file.

--evalute=<expr>, e <expr>
    Evaluate the Sexpr <expr> before starting compilation. This is useful, for loading files which are needed for the compilation (e.g. files defining new syntaxes).

--prepend-code=<expr>, k <expr>
    Insert <expr> before the contents of the file to be compiled, as if it were part of the file. This is useful to set variables, define functions or even modules that the compiled file will use.

--define-feature=<feature>, D <feature>
    Defines <feature> (which should be an unquoted symbol) to be recognized by cond-expand in the compiled code.

--line-info, -l
    Generate line informations to ease debugging (incurs a small performance penalty).

--show-instructions, -S
    Produce the VM instructions in the generated file. Actually, it is probably only useful if you want to hack the VM.

--prepend-load-path=<dir>, -I <dir>
    Prepend the directory <dir> to the compiler loading path.

--append-load-path=<dir>, -A <dir>
    Append the directory <dir> to the compiler loading path.

--no-time
    Do not display the compilation time

-F, --compiler-flags=list
    permits to set compiler flags to the to the values given in list. This option isidentical to the one provided by the STklos command. See stklos(1) for more information.

--help | -h | -?
    Show help.

SEE ALSO
stklos(1) stklos-config(1)